Bug 88660 - comms/gammu (1.02.0) looks for bluetooth.h in /usr/include/bluetooth/
Summary: comms/gammu (1.02.0) looks for bluetooth.h in /usr/include/bluetooth/
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-08 12:30 UTC by Thiemo Nordenholz
Modified: 2005-11-11 20:18 UTC (History)
0 users

See Also:


Attachments
header-patch (449 bytes, text/plain; charset=koi8-r)
2005-11-08 12:44 UTC, Kirill Bezzubets
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thiemo Nordenholz 2005-11-08 12:30:18 UTC
The autoconf/configure mechanism seems to lead to a configure script searching for an include file "bluetooth.h" in /usr/include/bluetooth/, but the respective file needed is in /usr/include/ directly.
Therefore, configure disables any bluetooth support for gammu:

=====snip=====
checking for bluez... no
checking bluetooth/bluetooth.h usability... no
checking bluetooth/bluetooth.h presence... no
checking for bluetooth/bluetooth.h... no
configure: creating ./config.status
[ ... ]
  Phone protocols with Bluetooth stack
  ------------------------------------------
  AT commands                                   - no
  Nokia FBUS2                                   - no
  Nokia PHONET FBUS                             - no
  OBEX                                          - no
=====snap=====


This leads, when a bluetooth device is configured, to an error message:
"Some functions not available for your OS (disabled in config or not written)."

Fix: 

As a _workaround_, I have added a symling from /usr/include/bluetooth/bluetooth.h to /usr/include/bluetooth.h as I do not know autoconf -- this is surely no fix for the port, though.
How-To-Repeat: Build gammu from portversion 1.02.0.

Create a ~/.gammurc, setting a connection type using bluetooth, e.g. "bluerfphonet"

Start "gammu --identify"
Comment 1 Edwin Groothuis freebsd_committer 2005-11-08 12:33:17 UTC
Maintainer of comms/gammu,

Please note that PR ports/88660 just has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/88660

-- 
Edwin Groothuis
edwin@FreeBSD.org
Comment 2 Kirill Bezzubets 2005-11-08 12:44:47 UTC
On Tue, Nov 08, 2005 at 12:33:17PM +0000, Edwin Groothuis wrote:
> Maintainer of comms/gammu,
> 
> Please note that PR ports/88660 just has been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/88660

Fix attached

> 
> -- 
> Edwin Groothuis
> edwin@FreeBSD.org

-- 
BR,
Kirill Bezzubets                                CASE-RIPE CASE-RIPN
CTO / Head Of N.O.C.                            mailto:kirill@solaris.ru
Solaris ISP & Telecommunications Co. Ltd        http://www.solaris.ru
Comment 3 Thiemo Nordenholz 2005-11-08 13:39:51 UTC
Thanks for the quick fix. I have not been able to apply the patch as
displayed in the web PR viewer, but doing that change to configure.in
manually led to a working bluetooth support, so this seems to be the way to
go.

Thanks & best regards,
  Thiemo

-- 
Query a PGP key server (e.g. http://www.pgp.net/) for my public key 41068629.
Strange sender address? Please see http://www.thiemo.net/misc/list-mail.shtml
Comment 4 Jean-Yves Lefort freebsd_committer 2005-11-08 15:10:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 5 Jean-Yves Lefort freebsd_committer 2005-11-11 20:18:06 UTC
State Changed
From-To: open->closed

Committed (and bumped PORTREVISION), thanks!